Docs / API: Chains
List chains
Returns coverage and current state for every chain.
GET/api/v1/chains
| Property | Value |
|---|---|
| Authentication | Optional. A key raises your limit. |
| Rate-limit cost | 1 unit |
| Status | Live |
#Request
curl -s "https://farbeamlabs.com/api/v1/chains"const res = await fetch("https://farbeamlabs.com/api/v1/chains");
const { data, meta, error } = await res.json();
if (error) throw new Error(`${error.code}: ${error.message}`);
console.log(data);import os, requests
res = requests.get(
"https://farbeamlabs.com/api/v1/chains",
timeout=30,
)
body = res.json()
if "error" in body:
raise RuntimeError(body["error"]["code"])
print(body["data"])You can send this request now in the API playground.
#Response
This response is real. It was captured from the running API when this page was built. Arrays are cut to two items.
JSON
{
"data": [
{
"id": "ethereum",
"name": "Ethereum",
"family": "evm",
"chain_id": 1,
"native": "ETH",
"large_transfer_index": true,
"native_transfers": true,
"sampled": false,
"poll_seconds": 12,
"tokens": [
{
"symbol": "USDC",
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6
},
{
"symbol": "USDT",
"address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"decimals": 6
}
],
"status": {
"chain": "ethereum",
"name": "Ethereum",
"kind": "evm",
"head": 26343752,
"head_time": "2026-11-04T20:10:35.000Z",
"lag_seconds": 12.5,
"tx_count": 425,
"gas_used_ratio": 0.45533158333333335,
"gas_price_gwei": 0.151869504,
"base_fee_gwei": 0.151861469,
"priority_fee_microlamports": null,
"tps": null,
"rpc_latency_ms": 797,
"last_ok": "2026-11-04T20:10:48.263Z",
"consecutive_failures": 0,
"last_error": null,
"indexed_since_start": 7,
"scan_lag_blocks": 0,
"status": "ok",
"head_age_seconds": 15
}
},
{
"id": "base",
"name": "Base",
"family": "evm",
"chain_id": 8453,
"native": "ETH",
"large_transfer_index": true,
"native_transfers": false,
"sampled": false,
"poll_seconds": 16,
"tokens": [
{
"symbol": "USDC",
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"decimals": 6
},
{
"symbol": "WETH",
"address": "0x4200000000000000000000000000000000000006",
"decimals": 18
}
],
"status": {
"chain": "base",
"name": "Base",
"kind": "evm",
"head": 53516847,
"head_time": "2026-11-04T20:10:41.000Z",
"lag_seconds": 1.5,
"tx_count": 229,
"gas_used_ratio": 0.10656443,
"gas_price_gwei": 0.006,
"base_fee_gwei": 0.005,
"priority_fee_microlamports": null,
"tps": null,
"rpc_latency_ms": 350,
"last_ok": "2026-11-04T20:10:43.622Z",
"consecutive_failures": 0,
"last_error": null,
"indexed_since_start": 35,
"scan_lag_blocks": 0,
"status": "ok",
"head_age_seconds": 9
}
}
],
"meta": {
"request_id": "req_6fd8587d54d6",
"as_of": "2026-11-04T20:10:50.213Z"
}
}#Fields
| Field | Type | Description |
|---|---|---|
data[].id | string | Chain id used in every other path. |
data[].family | string | evm or svm. |
data[].large_transfer_index | boolean | True when large transfers on this chain are stored. |
data[].sampled | boolean | True when only sampled blocks are read. |
data[].tokens[] | array | Curated tokens for this chain. |
data[].status | object | Same object as in Status. |